#ifndef DCF77_H
#define DCF77_H
#include "ds1302.h"

#define MAX_LOW 				2200
#define MIN_LOW 				1500

#define MAX_HIGH 				230
#define MIN_HIGH 				180

#define DCF77_TIMEOUT 		6000
#define TICK_1S				F_CPU / 2048
#define DCF77_INTERRUPT		SIG_INTERRUPT0

void dcf77_init(void);
void dcf77_timetick(void);
void increment_time(struct dt *date);
void display_date(u08 col, struct dt *date);
void dcf77_process_data(void);

extern struct dt act_date;
extern struct dt dcf_date;
extern u08 dcf77_update;
extern u08 update_time;
extern u08 inc_time;
extern u08 signal_ok;
extern u08 dcf_valid;
extern u16 dcf77_tick;

extern u16 debug_low, debug_high;
extern u08 dcf_second;


#endif