#ifndef LCD_H
#define LCD_H

// -------- LCD-Display Port Definitions ----------------------------------------------
// Data output port
#define PORT_LCD_DATA					PORTA
#define DDR_LCD_DATA						DDRA
#define PIN_LCD_DATA						PINA

// Control-Lines-Port
#define DDR_LCD_CONTROL					DDRB
#define PIN_LCD_CONTROL 				PINB
#define PORT_LCD_CONTROL 				PORTB

#define LCD_RS								PB2
#define LCD_RW								PB3
#define LCD_EN								PB4
// -------------------------------------------------------------------------------------

// LCD Timing Adaption (slow down)
#define STARTUP_FACTOR					(F_CPU / 13000)
#define LCD_DELAY			   			1
#define LCD_TIMEOUT 						(F_CPU / 10000)

#define LCD_CONTROL				   	1
#define LCD_DATA					   	0

// Function Set
#define LCD_BUS_8 						1			// Define for Data-Bus Width = 8-Bit
#define LCD_TWO_LINES					1			// Define for Two-Line Display
#define COLDSTART							1			// Extended Startup if power supply conditions not met

#define LCD_OFF							0x08
#define LCD_ON_CURSOR_OFF				0x0C
#define LCD_ON_CURSOR_ON				0x0E
#define LCD_ON_CURSOR_BLINK			0x0F

// low level funktions ******************************

void	lcd_wait_busy(void);
void 	lcd_write_byte(u08 data, u08 control);
u08  	lcd_read_byte(u08 control);

// public functions *********************************

void char2str(u16 data, char *s, u08 digits);
void lcd_init(void);
void lcd_mode(u08 mode);
void lcd_clear(void);
void lcd_gotoxy(u08 x, u08 y);
void lcd_puts(char *data);

// **************************************************

#endif